{
	"name": "table/manager/resource/capacity.json",
	"table_name": "capacity",
	"table_prefix": "cap",
	"record_type": ["work_capacity"],
	"default_order": [
		{
			"field": "capacity_id",
			"order": ">"
		}
	],
	"save_script": [],
	"field": [
		{
			"field_name": "actual_hours",
			"field_type": "double"
		},
		{
			"constraint": ["primary key", "unique"],
			"field_name": "capacity_id",
			"field_type": "varchar",
			"length": 40
		},
		{
			"field_name": "capacity_multiplier",
			"field_type": "double"
		},
		{
			"field_name": "capacity_state",
			"field_type": "integer"
		},
		{
			"field_name": "capacity_type",
			"field_type": "varchar",
			"length": 20
		},
		{
			"field_name": "default_hours",
			"field_type": "double"
		},
		{
			"field_name": "end_time",
			"field_type": "datetime"
		},
		{
			"field_name": "info",
			"field_type": "text"
		},
		{
			"field_name": "name",
			"field_type": "varchar",
			"length": 120
		},
		{
			"field_name": "person_id",
			"field_type": "varchar",
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "person_id",
					"linked_record_type": "",
					"linked_table": "person",
					"linking_record_type": ""
				}
			],
			"length": 80
		},
		{
			"field_name": "planned_hours",
			"field_type": "double"
		},
		{
			"allowed_value": ["capacity", "capacity_row", "resource"],
			"field_name": "record_type",
			"field_type": "varchar",
			"length": 20
		},
		{
			"field_name": "resource_id",
			"field_type": "varchar",
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "resource_id",
					"linked_record_type": "",
					"linked_table": "resource",
					"linking_record_type": ""
				}
			],
			"length": 40
		},
		{
			"field_name": "start_time",
			"field_type": "datetime"
		}
	],
	"extra_field": [
		{
			"field_name": "json_data.transfer_state",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.type",
			"field_type": "integer"
		},
		{
			"field_name": "json_data.firm_id",
			"field_type": "integer"
		}
	],
	"default_field": "table/default_field.json",
	"field_change": [
		{
			"name": "capacity_state",
			"old_name": ["record_state"]
		}
	]
}
